
package net.sf.antcontrib.logic;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;
import org.apache.tools.ant.taskdefs.Sequential;
import org.apache.tools.ant.TaskContainer;
import org.apache.tools.ant.Project;

public class IfSequential extends Sequential
    implements TaskContainer {

    private String ifProperty, unlessProperty;

    public void setIf(String ifProperty) {
	this.ifProperty = ifProperty;
    }

    public void setUnless(String unlessProperty) {
	this.unlessProperty = unlessProperty;
    }

    public void execute() throws BuildException {
	if ((ifProperty == null || getProject().getProperty(ifProperty) != null) &&
	    (unlessProperty == null || getProject().getProperty(unlessProperty) == null)) {
	    super.execute( );
	}
    }
}
